# run

## Overview

This endpoint is used for programmatically running a notebook within a workflow.

## HTTP Request

```http
POST /api/v1/notebooks/:notebookReference/run
```

## Path parameters

<table><thead><tr><th width="302.5">Parameter</th><th></th></tr></thead><tbody><tr><td>notebookReference</td><td>A qualified reference to the notebook. See <a href="/pages/-LzsPrAlHWxazTnhQQJE">referencing resources</a> for more information.</td></tr></tbody></table>

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Request body

The request body for this endpoint should be empty

## Authorization

Edit access to the dataset is required. Your access token must have the following scope:

* workflow\.write

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

Returns the JSON-encoded "get" representation of a [notebook resource](/api/resource-definitions/notebook.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/notebooks/post.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
